//+------------------------------------------------------------------+
//|                                                 5dayBreakout.mq4 |
//|                                                        Bill Sica |
//|                                         http://www.tetsuyama.com |
//+------------------------------------------------------------------+
#property copyright "Bill Sica"
#property link      "http://www.tetsuyama.com"

#property indicator_chart_window
//---- input parameters
extern int       DAYS=5;
//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+

int init()
  {
//---- indicators

//---- indicators

   

//----
   return(0);
  }

//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   double daily_high3[20];
   double daily_low3[20];
   double yesterday_close;
   double phigh,plow;
   int i=1;

//---- TODO: add your code here
ArrayResize(daily_high3,DAYS);
ArrayResize(daily_low3,DAYS);
ArrayInitialize(daily_high3,0);
ArrayInitialize(daily_low3,0);

ArrayCopySeries(daily_low3, MODE_LOW, Symbol(), PERIOD_D1);
ArrayCopySeries(daily_high3, MODE_HIGH, Symbol(), PERIOD_D1);

/* initialise */
plow=daily_low3[1];
phigh=daily_high3[1];

for(i=1;i<DAYS;i++)
{
   if(plow>daily_low3[i])
   {
      plow =daily_low3[i];
   }
}

for(i=1;i<DAYS;i++)
{
   if(phigh<daily_high3[i])
   {
      phigh =daily_high3[i];
   }
}

Comment("\n5dayH ",phigh,"\n5dayL ",plow);

ObjectDelete("5dayHigh3");
ObjectDelete("5dayLow3");

ObjectCreate("5dayHigh3", OBJ_HLINE,0, CurTime(),phigh);
ObjectSet("5dayHigh3",OBJPROP_COLOR,SpringGreen);
ObjectSet("5dayHigh3",OBJPROP_STYLE,STYLE_SOLID);

ObjectCreate("5dayLow3", OBJ_HLINE,0, CurTime(),plow);
ObjectSet("5dayLow3",OBJPROP_COLOR,Red);
ObjectSet("5dayLow3",OBJPROP_STYLE,STYLE_SOLID);

ObjectsRedraw();

   return(0);
  }
//+---------------------------------------------------------------